<template>
  <div class="ep-require-access">
    <button class="play-btn"
      v-on:click="requireAccess()">
      <span class="play-btn-price-text">{{ price }}</span>
      {{ label.BUY_PLAY_NOW }}
    </button>
    <p>
      Have you already purchased this game? Please
      <button class="linkBtn"
        v-on:click="showDialog('feedback')">let us know</button>
      so we can fix this for you.
    </p>
    <p>
       If you haven't done so already,
      <button class="linkBtn"
        v-on:click="showDialog('signin')">Sign in</button>.
    </p>
  </div>
</template>
<script>
import { mapState, mapActions } from 'vuex'

export default {
  name: 'ep-require-access',
  props: {
    price: String
  },
  data () {
    return {
      label: {
        BUY_PLAY_NOW: '- Buy and Play Now'
      }
    }
  },
  computed: {
    ...mapState('app', [
      'dialogTypes'
    ])
  },
  methods: {
    ...mapActions('app', [
      'selectDialog'
    ]),
    requireAccess () {
      this.$emit('require-access')
    },
    showDialog (option) {
      this.selectDialog({
        dialog: this.dialogTypes[option]
      })
    }
  }
}
</script>
<style lang="scss" scoped>
@import '~assets/styles/theme';
@import '~assets/styles/input';

.play-btn {
  font-size: 20px;
  font-weight: bold;
  border: none;
  padding: 12px 20px;
  background-color: $secondary-color;
  color: #fff;
  border-radius: 2px;
  margin: 0 auto;

  &-price-text {
    font-size: 18px;
  }
}

.linkBtn {
  color: $app-theme-color;
}
</style>
